### Function

# GObject boxed_copy

#### Declaration [src]

    gpointer
    g_boxed_copy (
      GType boxed_type,
      gconstpointer src_boxed
    )

#### Description [src]

Provide a copy of a boxed structure `src_boxed` which is of type `boxed_type`.

#### Parameters

`boxed_type`

  Type: `GType`

  The type of `src_boxed`.

`src_boxed`

  Type: `gconstpointer`

  The boxed structure to be copied.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The newly created copy of the boxed structure.

The caller of the function takes ownership of the data, and is responsible for freeing it.